Name:          xwaylandvideobridge
Version:       0.4.0
Release:       1mamba
Summary:       Utility to allow streaming Wayland windows to X applications
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://invent.kde.org/system/xwaylandvideobridge
Source:        https://download.kde.org/stable/xwaylandvideobridge/xwaylandvideobridge-%{version}.tar.xz
License:       LGPL, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-knotifications-devel
BuildRequires: libkf6-kstatusnotifieritem-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: libkpipewire-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Utility to allow streaming Wayland windows to X applications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake \
    -DQT_MAJOR_VERSION=6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/org.kde.xwaylandvideobridge.desktop
%{_bindir}/xwaylandvideobridge
%{_datadir}/applications/org.kde.xwaylandvideobridge.desktop
%{_datadir}/icons/hicolor/scalable/apps/xwaylandvideobridge.svg
%{_metainfodir}/org.kde.xwaylandvideobridge.appdata.xml
%{_datadir}/qlogging-categories6/xwaylandvideobridge.categories
%doc LICENSES

%changelog
* Thu Mar 07 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0-1mamba
- package created using the webbuild interface
